Index: /trunk/tools/bin/backport-common.sh
===================================================================
--- /trunk/tools/bin/backport-common.sh	(revision 83679)
+++ /trunk/tools/bin/backport-common.sh	(revision 83680)
@@ -129,4 +129,8 @@
             ;;
 
+        --update-first|--update|-u)
+            MY_UPDATE_FIRST=1
+            ;;
+
         --extra)
             if test $# -eq 0; then
@@ -144,5 +148,6 @@
         # usage
         --h*|-h*|-?|--?)
-            echo "usage: $0 [--trunk-dir <dir>] [--branch <ver>] [--branch-dir <dir>] [--extra <svn-arg>] [--first-rev] rev1 [rev2..[revN]]]"
+            echo "usage: $0 [--trunk-dir <dir>] [--branch <ver>] [--branch-dir <dir>] [--extra <svn-arg>] \\"
+            echo "                   [--first-rev] [--update-first] rev1 [rev2..[revN]]]"
             echo ""
             echo "Options:"
@@ -155,4 +160,6 @@
             echo "  --first-rev, --first, -1"
             echo "    Merge only: Check that the branch does not have any pending changes."
+            echo "  --update-first, --update, -u"
+            echo "    Merge only: Update the branch before merging."
             echo "  --extra <svn-arg>"
             echo "    Additional arguments to specify to SVN."
Index: /trunk/tools/bin/backport-merge.sh
===================================================================
--- /trunk/tools/bin/backport-merge.sh	(revision 83679)
+++ /trunk/tools/bin/backport-merge.sh	(revision 83680)
@@ -43,7 +43,17 @@
         "${MY_SVN}" status -q "${MY_BRANCH_DIR}"
         exit 1;
-    else
-        test -z "${MY_DEBUG}" || echo "debug: Found no pending changes on branch."
     fi
+    test -z "${MY_DEBUG}" || echo "debug: Found no pending changes on branch."
+fi
+
+#
+# Update branch if requested.
+#
+if test -n "${MY_UPDATE_FIRST}"; then
+    if ! "${MY_SVN}" update "${MY_BRANCH_DIR}" --ignore-externals; then
+        echo "error: branch updating failed..."
+        exit 1;
+    fi
+    test -z "${MY_DEBUG}" || echo "debug: Updated the branch."
 fi
 
